Bug 199542 - devel/cvs+ipv6: Convert into an option slave of devel/cvs
Summary: devel/cvs+ipv6: Convert into an option slave of devel/cvs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: feature, patch
Depends on:
Blocks:
 
Reported: 2015-04-19 14:44 UTC by Jan Beich
Modified: 2015-09-12 00:15 UTC (History)
1 user (show)

See Also:


Attachments
option slave, v0 (7.85 KB, patch)
2015-04-19 14:44 UTC, Jan Beich
no flags Details | Diff
cvs+ipv6 log for 11.0C i386 (66.37 KB, text/plain)
2015-04-19 14:53 UTC, Jan Beich
no flags Details
cvs log for 11.0C i386 (64.12 KB, text/plain)
2015-04-19 14:54 UTC, Jan Beich
no flags Details
cvs log for 8.4R amd64 (50.68 KB, text/plain)
2015-04-19 15:00 UTC, Jan Beich
no flags Details
cvs+ipv6 log for 8.4R amd64 (52.94 KB, text/plain)
2015-04-19 15:01 UTC, Jan Beich
no flags Details
option slave, v1 (6.71 KB, patch)
2015-04-19 15:20 UTC, Jan Beich
jbeich: maintainer-approval? (sumikawa)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-04-19 14:44:12 UTC
Created attachment 155729 [details]
option slave, v0

In order to take advantage of ports r361895, ports r361899, ports r384063 with future in mind.

- devel/cvs: allow slave ports (?= vars)
- devel/cvs: define CONFLICTS against the slave and -devel
- devel/cvs: adjust for easier patching source (i.e. avoid ../cvs)
- devel/cvs+ipv6: move most logic as IPV6 option to devel/cvs
- devel/cvs+ipv6: don't define HAVE_GETGROUPS twice
- devel/cvs+ipv6: bump PORTREVISION changes inherited from devel/cvs

https://lists.freebsd.org/pipermail/freebsd-pkg-fallout/Week-of-Mon-20150413/229719.html
Comment 1 Jan Beich freebsd_committer 2015-04-19 14:53:22 UTC
Created attachment 155730 [details]
cvs+ipv6 log for 11.0C i386
Comment 2 Jan Beich freebsd_committer 2015-04-19 14:54:50 UTC
Created attachment 155731 [details]
cvs log for 11.0C i386
Comment 3 Jan Beich freebsd_committer 2015-04-19 15:00:34 UTC
Created attachment 155734 [details]
cvs log for 8.4R amd64
Comment 4 Jan Beich freebsd_committer 2015-04-19 15:01:16 UTC
Created attachment 155735 [details]
cvs+ipv6 log for 8.4R amd64
Comment 5 Jan Beich freebsd_committer 2015-04-19 15:20:35 UTC
Created attachment 155736 [details]
option slave, v1

Remove files/patch-lib-config.h.proto as it has zero effect. It was previously ignored by redefined PATCHDIR, anyway.
Comment 6 Jan Beich freebsd_committer 2015-05-05 11:13:58 UTC
Maintainer timeout? Hmm, it's not trivial to just land without *any* review.
Resetting assignee while I'm looking for someone free.
Comment 7 commit-hook freebsd_committer 2015-09-12 00:12:00 UTC
A commit references this bug:

Author: jbeich
Date: Sat Sep 12 00:11:56 UTC 2015
New revision: 396729
URL: https://svnweb.freebsd.org/changeset/ports/396729

Log:
  devel/cvs: enslave devel/cvs+ipv6 to avoid bitrot

  - devel/cvs: allow slave ports (?= vars)
  - devel/cvs: define CONFLICTS against the slave and -devel
  - devel/cvs: adjust for easier patching source (i.e. no ../cvs/ prefix)
  - devel/cvs+ipv6: move most logic as IPV6 option to devel/cvs
  - devel/cvs+ipv6: don't define HAVE_GETGROUPS twice or unused ENABLE_IPV6
  - devel/cvs+ipv6: drop devel/cvsnt from CONFLICTS after 4.6 years being gone
  - devel/cvs+ipv6: bump PORTREVISION for changes inherited from devel/cvs
  - Convert CONFLICTS into CONFLICTS_INSTALL

  PR:		199542
  Reviewed by:	bapt
  Approved by:	maintainer timeout (5 months)
  Differential Revision:	https://reviews.freebsd.org/D3636

Changes:
  head/devel/cvs/Makefile
  head/devel/cvs/distinfo
  head/devel/cvs/files/patch-cvs.info.texinfo-5.x
  head/devel/cvs/files/patch-cvs__Makefile
  head/devel/cvs+ipv6/Makefile
  head/devel/cvs+ipv6/distinfo
  head/devel/cvs+ipv6/files/
  head/devel/cvs+ipv6/pkg-descr
  head/devel/cvs+ipv6/pkg-plist